%--------------------------------------------------------------------------
% MATERIAL CONSTANT 1: (a0)
%--------------------------------------------------------------------------
nbins = 100;
xcenters = -4:4;

fid = fopen('STO21');
for i=1:8
tline = fgets(fid);
end
filant = 53042-8;
ant = filant;
NOM = zeros(ant,1);
for i = 1:ant
NOM(i) = fscanf(fid,'%*d %f',[1,1]);
end
fclose(fid);
NM1 = [mean(NOM) std(NOM)  min(NOM)  max(NOM)]

figure(100)
set(gcf,'color','w');
histfit(NOM,nbins,'normal')
ylabel('Occurences')
xlabel('Deviation factor')
%--------------------------------------------------------------------------
% MATERIAL CONSTANT 1: (a1)
%--------------------------------------------------------------------------
nbins = 100;
xcenters = -4:4;

fid = fopen('STO22');
for i=1:8
tline = fgets(fid);
end
filant = 53042-8;
ant = filant;
NOM = zeros(ant,1);
for i = 1:ant
NOM(i) = fscanf(fid,'%*d %f',[1,1]);
end
fclose(fid);
NM2 = [mean(NOM) std(NOM)  min(NOM)  max(NOM)]

figure(101)
set(gcf,'color','w');
histfit(NOM,nbins,'normal')
ylabel('Occurences')
xlabel('Deviation factor')
%--------------------------------------------------------------------------
% MATERIAL CONSTANT 1: (a2)
%--------------------------------------------------------------------------
nbins = 100;
xcenters = -4:4;

fid = fopen('STO23');
for i=1:8
tline = fgets(fid);
end
filant = 53042-8;
ant = filant;
NOM = zeros(ant,1);
for i = 1:ant
NOM(i) = fscanf(fid,'%*d %f',[1,1]);
end
fclose(fid);
NM3 = [mean(NOM) std(NOM)  min(NOM)  max(NOM)]

figure(102)
set(gcf,'color','w');
histfit(NOM,nbins,'normal')
ylabel('Occurences')
xlabel('Deviation factor')
%--------------------------------------------------------------------------
% E-modulus: (E)
%--------------------------------------------------------------------------

nbins = 100;
xcenters = -4:4;

fid = fopen('STO24');
for i=1:8
tline = fgets(fid);
end
filant = 53042-8;
ant = filant;
NOM = zeros(ant,1);
for i = 1:ant
NOM(i) = fscanf(fid,'%*d %f',[1,1]);
end
fclose(fid);
NM4 = [mean(NOM) std(NOM)  min(NOM)  max(NOM)]

figure(103)
set(gcf,'color','w');
histfit(NOM,nbins,'normal')
ylabel('Occurences')
xlabel('Deviation factor')
%--------------------------------------------------------------------------
% Inital strain energy: (e0)
%--------------------------------------------------------------------------
nbins = 100;
xcenters = -4:4;

fid = fopen('STO25');
for i=1:8
tline = fgets(fid);
end
filant = 53042-8;
ant = filant;
NOM = zeros(ant,1);
for i = 1:ant
NOM(i) = fscanf(fid,'%*d %f',[1,1]);
end
fclose(fid);
NM5 = [mean(NOM) std(NOM)  min(NOM)  max(NOM)]

figure(104)
set(gcf,'color','w');
histfit(NOM,nbins,'normal')
ylabel('Occurences')
xlabel('Deviation factor')


%%*************************************************************************
%%
clear ant nbins xcenters
nbins = 100;
xcenters = -4:4;
ant = filant;
my = 1;
sigma = 10;
myf = 0.5;
sigmaf = 0.1; 
limit = 0.9;
RNN = zeros(ant,1);
for i = 1:ant

    % *********************************************************************
    %   COMMENTS ---------------- NOTE ------------------------------------
    %   Replace the to lines below with:
    %   RN = RAN(ISEED)
    %   RN = (RN-0.5)*sigma+my
    %
    %   And delete the RNN(i) = RN; it's only needed for matlab.
    %**********************************************************************
RN = normrnd(myf,sigmaf,1,1);
RN = (RN-0.5)*sigma+my;

while RN > my + limit || RN < my - limit
    %RN = normrnd(myf,sigmaf,1,1);
    RN = (normrnd(myf,sigmaf,1,1)-0.5)*sigma+my;
end
RNN(i) = RN;
end
NOMchech = [mean(RNN) max(RNN) min(RNN)]
figure(1)
histfit(RNN,nbins,'normal')

%%
clear RN

nbins = 100;
xcenters = -4:4;
ant = 53043-8;
my = 1;
sigma = 4;
myf = 0.5;
sigmaf = 0.1; 
limit = 0.99;
RNN = zeros(ant,1);

nloop = 1;
for i = 1:ant
%while nloop == 1
        RN = (normrnd(myf,sigmaf,1,1)-0.5)*sigma+my;
    if RN < (my - limit)
        RN = my-limit;
    elseif RN > (my + limit)
        RN = my+limit;
    else
        nloop = 0;
    end
%end
%nloop = 1;

RNN(i) = RN;
end
NOMchech = [mean(RNN) max(RNN) min(RNN)]
figure(6)
set(gcf,'color','w');
histfit(RNN,nbins,'normal')

%%
clear RN

nbins = 100;
xcenters = -4:4;
ant = 53043-8;
my = 1;
sigma = 10;
myf = 0.5;
sigmaf = 0.1; 
limit = 0.99;
RNN = zeros(ant,1);

nloop = 1;
for i = 1:ant
while nloop == 1
        RN = (normrnd(myf,sigmaf,1,1)-0.5)*sigma+my;
    if RN < (my - limit)
        nloop = 1;
    elseif RN > (my + limit)
        nloop = 1;
    else
        nloop = 0;
    end
end
nloop = 1;

RNN(i) = RN;
end
NOMchech = [mean(RNN) max(RNN) min(RNN)]
figure(6)
set(gcf,'color','w');
histfit(RNN,nbins,'normal')
%%
%**************************************************************************
%{
    RN = RAN(ISEED)
    RN = (RN-0.5)*sigma+my

while RN > my + limit || RN < my - limit
    RN = RAN(ISEED)
    RN = (RN-0.5)*sigma+my
end
%}

%{
%**************************************************************************
% Producing random values, which will have a normal distribution:
% Using the the Box-Muller method, with some modifications:

%R = zeros(1000000,1);
ant = 100000;
sigma = 2;
limit = 1;
my = 1;
nbins = 100;
xcenters = -4:4;

R = zeros(ant,1);
X1 = zeros(ant,1);
X2 = zeros(ant,1);

for i = 1:ant
%Box-Muller transformation, converts 2D uniform distribution (Z1,Z2)
%to abivariate normal distribution(Y1,Y2) with zero mean and unit variance
Y1 = sqrt(-2*log(rand(1)))*cos(2*pi*rand(1));
Y2 = sqrt(-2*log(rand(1)))*sin(2*pi*rand(1));

    
% Modify Box-Muller Transformation by: (x=y*sigma+my)
% NEED ONLY ONE OF THE FUNCTION!

    X1(i) = Y1*sigma+my;
    X2(i) = Y2*sigma+my;

    while X1(i) > my + limit || X1(i) < my - limit
        Y1 = sqrt(-2*log(rand(1)))*cos(2*pi*rand(1));
        X1(i) = Y1*sigma+my;
    end
    
%{    
 LIMITING THE RANGE ON X1:
if X1(i) > my + limit && X1(i) < my - limit
    X1(i) = my;

while X1(i) > my + limit && X1(i) < my - limit
IY1 = sqrt(-2*log(rand(1)))*cos(2*pi*rand(1));
X1(i) = IY1*sigma+my;
end

elseif X1(i) < my - limit
    X1(i) = my;
else 
end
%}
% LIMITING THE RANGE ON X2:
if X2(i) > my + limit
    X2(i) = my;
elseif X2(i) < my - limit
    X2(i) = my;
else 
end

end

M1 = [mean(X1) max(X1) min(X1)]
M2 = [mean(X2) max(X2) min(X2)]

% Alternative Methods / OR JUST FOR EVALUATION of the BOX-MULLER METHOD
%(MATLAB FUNCTION) DON'T Know if you have does in FORTRAN!
    R0 = randn(ant,1);
    R1 = R0.*sigma+my;
    %sigma=0.1;
    %my=0.5
    %R2 = normrnd(0.5,0.1,ant,1);
   %} 
    %%
    %{
    R5 = zeros(ant,1);
    br = 0.0001;
    j=5;
    
    mv = 0.4
    for i = 1:ant
        mv = mv+0.2;
        R5(i) = normrnd(mv,0.1,1,1);
        
        if mv >= 1
            mv = 0.0;
        else
        end
        while R5(i) >= 1 || R5(i) <= 0
            R5(i) = normrnd(mv,0.1,1,1);
        end
        
    end
    %}
        %M3 = [mean(R2) max(R2) min(R2)]
%figure(1)
%histfit(X1,nbins,'normal')

%figure(2)
%histfit(X2,nbins,'normal')

%figure(3)
%histfit(R1,nbins,'normal')

%figure(4)
%histfit(R5,nbins,'normal')
