
%clear;
%clc;
fid = fopen('force1.txt');
a=0;

while ~feof(fid)
  a=a+1; 
  forc1(a,1:2) = fscanf(fid,'%f %f',[1,2]);
  
end
fclose(fid);
%---------------------------------------------------------------
fid = fopen('force2.txt');
a=0;
while ~feof(fid)
  a=a+1; 
  forc2(a,1:2) = fscanf(fid,'%f %f',[1,2]);
  
end
fclose(fid);
%---------------------------------------------------------------
fid = fopen('force3.txt');
a=0;
while ~feof(fid)
  a=a+1;
  forc3(a,1:2) = fscanf(fid,'%f %f',[1,2]);
  
end
fclose(fid);
%---------------------------------------------------------------
fid = fopen('force4.txt');
a=0;
while ~feof(fid)
  a=a+1; 
  forc4(a,1:2) = fscanf(fid,'%f %f',[1,2]);
  
end
fclose(fid);
%---------------------------------------------------------------
fid = fopen('penetration.txt');
a=0;
while ~feof(fid)
  a=a+1; 
  pen(a,1:2) = fscanf(fid,'%f %f',[1,2]);
  
end
fclose(fid);

%%

figure(1000)

t = 0:3.5;
x1_1 = forc1(:,1);
z1_1 = forc1(:,2);
x1_2 = forc2(:,1);
z1_2 = forc2(:,2);
x1_3 = forc3(:,1);
z1_3 = forc3(:,2);
x1_4 = forc4(:,1);
z1_4 = forc4(:,2);

x2 = pen(:,1);
z2 = pen(:,2);
%[haxes,hline1,hline2] = plotyy(x1_1,z1_1,x2,z2);
%hold on
%[haxes,hline1,hline2] = plotyy(TIME,abs(MN_F),x2,z2);


% USING QUADRATIC FITTING, from toolbox many
% and ask for the equation.

% Then we transfer the TIME to PENETRATION LENGTH:
x_pen1 = -2.1*x1_1.^3-3.3*x1_1.^2+1e+2*x1_1+0.42
x_pen2 = -2.1*x1_2.^3-3.3*x1_2.^2+1e+2*x1_2+0.42
x_pen3 = -2.1*x1_3.^3-3.3*x1_3.^2+1e+2*x1_3+0.42
x_pen4 = -2.1*x1_4.^3-3.3*x1_4.^2+1e+2*x1_4+0.42


%figure(1001)
pl_0 = plot(x_pen1,z1_1);
set(pl_0,'LineWidth',1, 'color',[0 0.7 0])

pl_1 = plot(x_pen2,z1_2,x_pen3,z1_3, x_pen4,z1_4);
set(pl_1,'LineWidth',1, 'color',[0 0.7 0])
%legendInfo{1} = ['Pond Inlet Tests']
%legend('Pond Inlet Tests')
hold on

load('indent')
indent = indent; 
load('A_MN_F')
A_MN_F = MN_F
load('K_MN_F')
K_MN_F = MN_F
load('R1_MN_F')
R1_MN_F = MN_F
load('R2_MN_F')
R2_MN_F = MN_F

inden = indent*1000;
inden(inden == 0) = NaN;
forc_a = abs(A_MN_F);
forc_a(forc_a == 0) = NaN;
forc_k = abs(K_MN_F);
forc_k(forc_k == 0) = NaN;
forc_r1 = abs(R1_MN_F);
forc_r1(forc_r1 == 0) = NaN;
forc_r2 = abs(R2_MN_F);
forc_r2(forc_r2 == 0) = NaN;


pl_2 = plot(inden,forc_a,'b',inden,forc_k,'m',inden,forc_r1,'c',inden,forc_r2,'r')
set(pl_2,'LineWidth',3)
set(gcf,'color','w');
legend([pl_2],'Derradji-Aouat',...
    'Kierkegaard','Riska and Frederking Set1','Riska and Frederking Set2')
axis([0 250 0 max(max(max(z1_1),max(z1_2)),max(max(z1_3),max(z1_4)))])
