%**************************************************************************
% STRENGTH DESIGN METHOD MAIN POST-PROCESSING SCRIPT:
%**************************************************************************

clear
clc
close all

% COUNTS number of time-steps, nodes and finds the meshsize:
run('COUNT_IT')
% COUNT_IT gives/finds the needed input to the rest of the scripts!

% READS the NCFORC-FILE:
run('NCFORC_READ')

% Post-processing CALCULATION (PRESSURE-AREA CURVES)
run('PRO_SPA_CALC')

% PLOTS (PRESSURE-AREA CURVES)
run('PLOT')

% READS the MATSUM-FILE and Caclulates energies curves and plots
run('MATSUM')

%{ 
DEACTIVETED
%**************************************************************************
% SHARED ENERGY DESIGN METHOD MAIN POST-PROCESSING SCRIPT:
%**************************************************************************
clear
clc
close all

run('MATSUM')
run('RCFORC')
%}


