
figure(500)
title('Process prssure-area curve compared with Pond Inlet and ISO')
pl = plot(asum_cont_area, abs(Appac),'red',...
    asum_cont_area, abs(Kppac),'blue',...
    asum_cont_area, abs(R1ppac),'m',...
    asum_cont_area, abs(R2ppac),'black',...
    x_axis,ISO,'c',...
    cur1(:,1), cur1(:,2),'g-',cur2(:,1),cur2(:,2),'g-',...
    cur3(:,1),cur3(:,2),'g-',cur4(:,1),cur4(:,2),'g-')
axis([ 0 6 0 40])
set(pl,'LineWidth', 2);
set(gcf,'color','w');
legend('Derradji-Aouat','Kierkgaard','Riska and Frederking SET 1',...
    'Riska and Frederking SET 2','ISO curve','Pond Inlet tests')
hold off
%%
print -dpng FIGURES\NCFORC_F15_CW_PONDINLET_ISO.png -r600
%%