%clear;
%clc;
fid = fopen('exp2012_22_xy.out');
a=0;
while ~feof(fid)
  a=a+1; 
  exp2012(a,1:2) = fscanf(fid,'%f %f',[1,2]);
  
end
fclose(fid);
%---------------------------------------------------------------
%{
fid = fopen('Curve2.txt');
a=0;
while ~feof(fid)
  a=a+1; 
  cur2(a,1:2) = fscanf(fid,'%f %f',[1,2]);
  
end
fclose(fid);
%---------------------------------------------------------------
fid = fopen('Curve3.txt');
a=0;
while ~feof(fid)
  a=a+1;
  cur3(a,1:2) = fscanf(fid,'%f %f',[1,2]);
  
end
fclose(fid);
%---------------------------------------------------------------
fid = fopen('Curve4.txt');
a=0;
while ~feof(fid)
  a=a+1; 
  cur4(a,1:2) = fscanf(fid,'%f %f',[1,2]);
  
end
fclose(fid);
%}

figure(50)
title('process Pond Inlet')
plot(exp2012(:,1), (exp2012(:,2)*4.44822161526),'r')%,cur2(:,1),cur2(:,2),'b',cur3(:,1),cur3(:,2),'g',cur4(:,1),cur4(:,2),'black')
axis([ 0 80 0 130])
xlabel('Indentation [mm]');
ylabel('Force [kN]');
legend('Force-Indentation')

angle = degtorad(35);
ini_pos = exp2012(1,1);

crush_dep = zeros(1,length(exp2012));
for i = 1:length(exp2012)
final_pos(i) = exp2012(i,1);
crush_dep(i) = final_pos(i)-ini_pos;
radius(i) = crush_dep(i)./tan(angle);

nom_area(i) = pi*(radius(i))^2;
force(i) = (exp2012(i,2)*4448.22161526);
nom_pre(i) = (force(i))./nom_area(i);
end

figure(51)
title('process Pressure_area plot 2012')
plot((nom_area*10^-6), nom_pre,'r')
axis([ 0 (1000*10^-6) 0 35])
xlabel('area [m^2]');
ylabel('Nominal Pressure [MPa]');
legend('Nominal Pressure-Area')



